<?php
namespace Mirasvit\Brand\Block\Breadcrumbs;

/**
 * Interceptor class for @see \Mirasvit\Brand\Block\Breadcrumbs
 */
class Interceptor extends \Mirasvit\Brand\Block\Breadcrumbs implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Catalog\Helper\Data $catalogData, \Mirasvit\Brand\Service\BrandUrlService $brandUrlService, \Mirasvit\Brand\Model\Config\Config $config, \Mirasvit\Brand\Registry $registry, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $catalogData, $brandUrlService, $config, $registry, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
